﻿Type=Activity
Version=2.30
FullScreen=False
IncludeTitle=True
@EndOfDesignText@
'Activity module
Sub Process_Globals

End Sub

Sub Globals
	Dim scvSetup As ScrollView
	Dim pnlConfig, pnlAirSample, pnlConfigRadUnits, pnlDataCollection As Panel
	Dim pnlGndPlane, pnlSoilSample As Panel
	Dim cbxCounts, cbxSIUnits, cbxAlarm, cbxAlert As CheckBox
	Dim edtDataCollInt, edtRRDataCollInt, edtDataSmoothVar As EditText
	Dim edtSoilMass, edtSoilVol, edtAirMass, edtAlarmLevel, edtAlertLevel As EditText
	Dim rb10cm, rb1m, rbContact As RadioButton
End Sub

Sub Activity_Create(FirstTime As Boolean)

	Scaling.SetScaleRate(0.5)
	Scaling.GetDevicePhysicalSize
	
'	If Scaling.GetDevicePhysicalSize < 6 Then
'		Main.phn.SetScreenOrientation(1)		' portrait orientation only
'	Else
'		Main.phn.SetScreenOrientation(-1)		' both orientations
'	End If
	
	Main.phn.SetScreenOrientation(1)  'set screen orientation to portrait
	
	Dim Left, Width, Width1, Space As Int
	
	Width = 312dip * Scaling.Scale
	Width1 = 320dip * Scaling.Scale
	Space = 4dip * Scaling.Scale
	
	scvSetup.Initialize(0)
	Activity.AddView(scvSetup, (100%x - Width1) / 2, 0, Width1, 100%y)
	scvSetup.Color = Colors.RGB(255, 205, 250)
	scvSetup.Panel.LoadLayout("config")
	
	pnlConfig.Width = 100%x
	pnlConfigRadUnits.Width = 100%x
	pnlDataCollection.Width = 100%x
	pnlSoilSample.Width = 100%x
	pnlAirSample.Width = 100%x
	pnlGndPlane.Width = 100%x

	Left = Space
	If 100%x < 2 * Width + 3 * Space Then
		scvSetup.Panel.Height = pnlGndPlane.Top + pnlGndPlane.Height + 2 * Space
		scvSetup.Left = 50%x - scvSetup.Width / 2
	Else
		Left = Width + 2 * Space
		
		scvSetup.Width = 2 * Width + 3 * Space
		scvSetup.Panel.Width = scvSetup.Width
		pnlConfig.Width = scvSetup.Width
		scvSetup.Left = 50%x - scvSetup.Width / 2
		
		pnlConfigRadUnits.Top = Space
		pnlConfigRadUnits.Left = Left
		pnlDataCollection.Top = pnlConfigRadUnits.Top + pnlConfigRadUnits.Height + Space
		pnlDataCollection.Left = Left
		pnlSoilSample.Top = pnlDataCollection.Top + pnlDataCollection.Height + Space
		pnlSoilSample.Left = Left
		pnlAirSample.Top = pnlSoilSample.Top + pnlSoilSample.Height + Space
		pnlAirSample.Left = Left
		pnlGndPlane.Top = pnlAirSample.Top + pnlAirSample.Height + Space
		pnlGndPlane.Left = Left

		scvSetup.Panel.Height = pnlGndPlane.Top + pnlGndPlane.Height + Space
	End If
	pnlConfig.Height = scvSetup.Panel.Height

End Sub

Sub Activity_Resume
'	InitSetup  'initializes spinners

	UpdateSetup
End Sub

Sub Activity_Pause (UserClosed As Boolean)
	Main.iAlarmLevel = edtAlarmLevel.Text 
	Main.iAlertLevel = edtAlertLevel.Text
	Main.iDataCollInt = edtDataCollInt.Text
	Main.iRRDataCollInt = edtRRDataCollInt.Text
	Main.iDataSmoothVal = edtDataSmoothVar.Text
	Main.dSoilMass = edtSoilMass.Text
	Main.dAirMass = edtAirMass.Text
	Main.dSoilVol = edtSoilVol.Text

End Sub

Sub InitSetup
	' Initializes the Spinners
'	Dim i As Int
'	
'	spnMapZoomLevel.Clear
'	For i = 0 To 8
'		spnMapZoomLevel.Add(i + 10)
'	Next
'	
'	spnMapLineWidth.Clear
'	spnMapLineWidth.Add(1)
'	spnMapLineWidth.Add(2)
'	spnMapLineWidth.Add(3)
'	spnMapLineWidth.Add(5)
'
'	spnAltitudeUnit.Clear
'	For i = 0 To Main.AltitudeUnitNumber - 1
'		spnAltitudeUnit.Add(Main.AltitudeUnitText(i))
'	Next
'
End Sub

Sub UpdateSetup
	cbxCounts.Checked = Main.bCounts
	cbxSIUnits.Checked = Main.bSIUnits
	rb10cm.Enabled = Main.bGP10m
	rb1m.Enabled = Main.bGP1m
	rbContact.Enabled = Main.bGPContact
	cbxAlarm.Checked = Main.bAlarmFlag
	cbxAlert.Checked = Main.bAlertFlag
	edtAlarmLevel.Text = Main.iAlarmLevel
	edtAlertLevel.Text = Main.iAlertLevel
	edtDataCollInt.Text = Main.iDataCollInt
	edtRRDataCollInt.Text = Main.iRRDataCollInt
	edtDataSmoothVar.Text = Main.iDataSmoothVal
	edtSoilMass.Text = Main.dSoilMass
	edtAirMass.Text = Main.dAirMass
	edtSoilVol.Text = Main.dSoilVol
	
'	edtMapDefaultLocationLng.Text = Main.MapDefaultLng
'	edtMapDefaultLocationLat.Text = Main.MapDefaultLat
'	edtGPSMinTime.Text = Main.GPSMinTime / 1000		' time in milliseconds but diplayed in seconds
'	edtGPSMinDistance.Text = Main.GPSMinDistance
'	cbxMapDraggable.Checked = Main.MapSetDraggable
'	cbxDispMapTypeControl.Checked = Main.DispMapTypeControl
'	cbxGPSDispSpeed.Checked = Main.GPSDispSpeed
'	cbxGPSDispBearing.Checked = Main.GPSDispBearing
'	cbxGPSDispWindrose.Checked = Main.GPSDispWindrose
'	cbxDispMapZoomControl.Checked = Main.DispMapZoomControl
'	cbxDispMapScaleControl.Checked = Main.DispMapScaleControl
'	cbxDispMapCenterMarker.Checked = Main.DispMapCenter
'	cbxDispMapMarkers.Checked = Main.DispMapMarkers
'	cbxDispMapPolyline.Checked = Main.DispMapPolylne
'	cbxMapMarkersClickable.Checked = Main.MapMarkerClickable
'	cbxMapMarkersDragable.Checked = Main.MapMarkerDragable
'	cbxShowGPSOnMap.Checked = Main.ShowGPSOnMap
'	cbxDrawGPSPath.Checked = Main.DrawGPSPath
'	cbxSaveGPSPath.Checked = Main.SaveGPSPath
'
'	spnMapZoomLevel.SelectedIndex = Main.MapDefaultZoomLevelIndex
'	spnMapLineColor.SelectedIndex = Main.MapLineColorIndex
'	spnMapLineWidth.SelectedIndex = Main.MapLineWidthIndex
'	spnMapLineOpacity.SelectedIndex = Main.MapLineOpacityIndex
'	spnAltitudeUnit.SelectedIndex = Main.AltitudeUnitIndex
'	spnSpeedUnit.SelectedIndex = Main.SpeedUnitIndex
'	spnDistanceUnit.SelectedIndex = Main.DistanceUnitIndex
'	spnMapTypeControlID.SelectedIndex = Main.DispMapTypeControlIDIndex
'	spnMapZoomControlType.SelectedIndex = Main.DispMapZoomControlTypeIndex
'	spnMapTypeControlID.Visible = Main.DispMapTypeControl
'	spnMapZoomControlType.Visible = Main.DispMapZoomControl
End Sub

Sub rbContact_CheckedChange(Checked As Boolean)
	Main.bGPContact = Checked
End Sub

Sub rb1m_CheckedChange(Checked As Boolean)
	Main.bGP1m = Checked
End Sub

Sub rb10cm_CheckedChange(Checked As Boolean)
	Main.bGP10m = Checked
End Sub

Sub cbxSIUnits_CheckedChange(Checked As Boolean)
	Main.bSIUnits = Checked
End Sub

Sub cbxCounts_CheckedChange(Checked As Boolean)
	Main.bCounts = Checked
End Sub

Sub cbxAlert_CheckedChange(Checked As Boolean)
	Main.bAlertFlag = Checked
End Sub

Sub cbxAlarm_CheckedChange(Checked As Boolean)
	Main.bAlarmFlag = Checked	
End Sub

Sub edtAlertLevel_FocusChanged (HasFocus As Boolean)	
	If HasFocus = True Then edtAlertLevel.SelectAll
End Sub

Sub edtSoilVol_FocusChanged (HasFocus As Boolean)
	If HasFocus = True Then edtSoilVol.SelectAll
End Sub

Sub edtSoilMass_FocusChanged (HasFocus As Boolean)
	If HasFocus = True Then edtSoilMass.SelectAll
End Sub

Sub edtDataSmoothVar_FocusChanged (HasFocus As Boolean)
	If HasFocus = True Then edtDataSmoothVar.SelectAll
End Sub

Sub edtRRDataCollInt_FocusChanged (HasFocus As Boolean)
	If HasFocus = True Then edtRRDataCollInt.SelectAll
End Sub

Sub edtDataCollInt_FocusChanged (HasFocus As Boolean)
	If HasFocus = True Then edtDataCollInt.SelectAll
End Sub

Sub edtAlarmLevel_FocusChanged (HasFocus As Boolean)
	If HasFocus = True Then edtAlarmLevel.SelectAll
End Sub

Sub edtAirMass_FocusChanged (HasFocus As Boolean)
	If HasFocus = True Then edtAirMass.SelectAll
End Sub
