﻿Type=StaticCode
Version=2.30
@EndOfDesignText@
'Scaling Code module
'Subs in this code module will be accessible from all modules.
Sub Process_Globals
'	Delta = ((100%x + 100%y) / (320dip + 430dip) - 1)
	Public Rate As Double
	Rate = 0.5 'value between 0 to 1. 
'	Scale = 1 + Rate * Delta
	Public Scale As Double	'	: Scale = 1 + 0.5 * ((100%x + 100%y) / (320dip + 430dip) - 1)

End Sub

Sub SetScaleRate(cRate As Double)
	Rate = cRate
End Sub

Sub GetDevicePhysicalSize As Float
	Dim lv As LayoutValues

	Scale = 1 + 0.5 * ((100%x + 100%y) / (320dip + 430dip) - 1)

	lv = GetDeviceLayoutValues
	Return Sqrt(Power(lv.Height / lv.Scale / 160, 2) + Power(lv.Width / lv.Scale / 160, 2))
End Sub

Sub ScaleView(v As View, cRate As Double)
	Dim delta, cScale As Double
	
'	delta = (100%x + 100%y) / ((320 + 430) * 100dip / 100) - 1
	cScale = 1 + cRate * delta

	v.SetLayout(v.Left * cScale, v.Top * cScale, v.Width * cScale, v.Height * cScale)
	If v Is Label Then 'this will catch ALL views with text (EditText, Button, ...)
		Dim lbl As Label = v
		lbl.TextSize = lbl.TextSize * Scale
	End If
End Sub
